#!/usr/bin/env python

import urllib2
import hashlib
import smtplib
from email.mime.text import MIMEText

f = open('checkhours.txt')
urllist = f.readlines()

buff = ""
mailbuf = ""

send_email = False

for line in urllist:
    #print line

    s = line.split('|')

    url = s[0]
    locator_string = s[1]
    chars_to_care_about = s[2]
    hash = s[3]

    url = url.strip()
    hash = hash.strip()
    chars_to_care_about = int(chars_to_care_about.strip())
    locator_string = locator_string.strip()

    response = urllib2.urlopen(url)
    html = response.read()

    #print chars_to_care_about

    html = html.split(locator_string)[1]
    html = html[0:chars_to_care_about]


    m = hashlib.md5()
    m.update(html)

    md5 =  m.hexdigest()


    if (md5 != hash):
        print "Different! ", url , "|", hash, "|", md5
        mailbuf += "Different! %s\n" % (url)
        send_email = True
    else:
        print "Same! ", url , "|", hash, "|", md5
        mailbuf += "Same! %s\n" % (url)
    buff += url + '|' + locator_string + '|' + str(chars_to_care_about) + '|' + md5 + '\n'


f = open('checkhours.txt', 'w')
f.write(buff)

#send_email = True

if (send_email):
    msg = MIMEText(mailbuf)
    msg['Subject'] = 'Difference detected in library hours by checkhours.py'
    msg['From'] = 'noreply@example.org'

    msg['To'] = 'eli@example.org'

    s = smtplib.SMTP('64.26.72.134')
    s.sendmail('noreply@example.org', 'eli@example.org', msg.as_string())

    s.quit()
